JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.XSelectionEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XSelectionEvent

Enclosing interface:
  X11

    public static class X11.XSelectionEvent

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`X11.Display` | `display`
`X11.Atom` | `property`
`X11.Window` | `requestor`
`X11.Atom` | `selection`
`int` | `send_event`
`NativeLong` | `serial`
`X11.Atom` | `target`
`NativeLong` | `time`
`int` | `type`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XSelectionEvent()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

### serial

    public NativeLong serial

### send_event

    public int send_event

### display

    public X11.Display display

### requestor

    public X11.Window requestor

### selection

    public X11.Atom selection

### target

    public X11.Atom target

### property

    public X11.Atom property

### time

    public NativeLong time

Constructor Detail

### X11.XSelectionEvent

    public X11.XSelectionEvent()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.